Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBlox.cc
-    @brief Implementation of the OrxoBlox class.
-*/
-
 #include "OrxoBlox.h"
 #include "Highscore.h"
@@ -100,37 +67,24 @@
     void OrxoBlox::cleanup()
     {   
-        //if (this->ball_ != nullptr) // Destroy the ball, if present.
-        //{
-        //    this->ball_->destroy();
-        //    this->ball_ = nullptr;
-        //}
-
-        /*if (this->futureWall_ != nullptr)
-            {
-            this->futureWall_->destroy();
-            this->futureWall_ = nullptr;
-            }
-        */
-
+
+        std::vector<OrxoBloxWall*> vyserion_targets;
+        std::vector<OrxoBloxStones*> casterly_rocks;
+
+        for (OrxoBloxWall* wall : ObjectList<OrxoBloxWall>()) {
+            if(wall != nullptr) {
+                vyserion_targets.push_back(wall);
+            }
+        }
         for (OrxoBloxStones* stone : ObjectList<OrxoBloxStones>()) {
-            if(stone != nullptr)
-            stone->destroy();
-        }
-
-
-        for (OrxoBloxWall* wall : this->activeWalls_) {
-            if (wall != nullptr)
-                wall->destroy();
-        }
-        this->activeWalls_.clear();
-
-        this->stones_.clear();
-        if(this->playership != nullptr) {
-            this->playership->destroy();
-        }
-        if(this->center_ != nullptr) {
-            this->center_->destroy();
-        }
-        
+            if(stone != nullptr) {
+                casterly_rocks.push_back(stone);
+            }
+        }
+        for(unsigned int i = 0; i < vyserion_targets.size(); i++) {
+            vyserion_targets.at(i)->destroy();
+        }
+        for(unsigned int i = 0; i < casterly_rocks.size(); i++) {
+            casterly_rocks.at(i)->destroy();
+        }
 
     }
@@ -146,7 +100,5 @@
         if (this->center_ != nullptr) // There needs to be a OrxoBloxCenterpoint, i.e. the area the game takes place.
         {
-
             level_= 1;
-
         }
         else // If no centerpoint was specified, an error is thrown and the level is exited.
@@ -156,19 +108,8 @@
             return;
         }
-
-        // Start the timer. After it has expired the ball is started.
         this->starttimer_.startTimer();
 
-        // Set variable to temporarily force the player to spawn.
-        // Set variable to temporarily force the player to spawn.
-        //bool temp = this->bForceSpawn_;
         this->bForceSpawn_ = false;
-
-        // Call start for the parent class.
         Deathmatch::start();
-
-        // Reset the variable.
-        //this->bForceSpawn_ = temp;
-
     }
 
@@ -199,15 +140,4 @@
     }
    
-    // void OrxoBlox::spawnPlayer(PlayerInfo* player)
-    // {
-    //     assert(player);
-
-    //     if(this->player_ == nullptr)
-    //     {
-    //         this->player_ = player;
-    //         this->players_[player].state_ = PlayerState::Alive;
-    //     }
-
-    // }
 
     void OrxoBlox::LevelUp(){
@@ -219,31 +149,5 @@
 
         this->createWall();
-        this->activeWalls_.push_back(this->futureWall_);
-        for (int i = 0; i < this->futureWall_->getNumberOfStones(); i++) {
-            this->stones_.push_back(this->futureWall_->getStone(i));
-        }
-
-        for(OrxoBloxWall* wall : this->activeWalls_) {
-            if(wall == nullptr) {
-                continue;
-            }
-            if(wall->isEmpty()) {
-                wall->destroy();
-            }
-            int NumberOfStones = 0;
-            for(int i = 0; i < 10; i++) {
-                if(wall->getStone(i) == nullptr) {
-                    continue;
-                }
-                else {
-                    NumberOfStones++;
-                }
-
-            }
-        }
-        //new location of ship
-        //new amount of balls
-        //create balls
-        //insert new wall
+
         for(OrxoBloxStones* stone : ObjectList<OrxoBloxStones>()){
             if (stone->isA(Class(OrxoBloxStones))) {
@@ -257,12 +161,11 @@
                     orxout() << "calling end() function" << endl;
                     this->end();
+                    return;
                 }
             }
             else {
-                stone = nullptr;
-            }
-        }
-
-        
+                orxout() << "WTF IS THIS SHIT?!?!?!" << endl;
+            }
+        }
     }
 
@@ -280,37 +183,4 @@
 
 
-    /**
-    @brief
-        Starts the ball with some default speed.
-    */
-    //void OrxoBlox::startBall()
-    //{
-    //    if (this->ball_ != nullptr && this->center_ != nullptr)
-    //        this->ball_->setSpeed(this->center_->getBallSpeed());
-    //}
-     
-    /*OrxoBloxStones* OrxoBlox::CheckForCollision(OrxoBloxBall* Ball) {
-        //orxout() << "Checking for Collision" << endl;
-        Vector3 BallPosition = Ball->getPosition();
-        for(OrxoBloxStones* someStone : this->stones_)
-        {
-            if(someStone == nullptr) 
-            {
-                continue;
-            }
-            //orxout() << "Checking a stone" << endl;
-            const Vector3& StonePosition = someStone->getPosition(); //!< Saves the position of the currentStone
-            int size = someStone->getSize()/2;
-            if((BallPosition.x - Ball->getRadius() >= StonePosition.x - size && BallPosition.x + Ball->getRadius() <= StonePosition.x + size) && 
-                (BallPosition.z - Ball->getRadius() >= StonePosition.z - size && BallPosition.z + Ball->getRadius() <= StonePosition.z + size)) {
-                //orxout() << "FOUND ONE" << endl;
-                return someStone;
-            }
-        }
-        orxout() << "Found nothing...." << endl;
-        return nullptr;
-    }
-    */
-
     void OrxoBlox::playerPreSpawn(PlayerInfo* player)
     {
@@ -322,27 +192,5 @@
         SUPER(OrxoBlox, tick, dt);
     }
-/*
-    bool OrxoBlox::Intersect(int XpositionBall, int XPositionBlock, int YPositionBall, int YPositionBlock, int radiusBall, int sizeBlock) {
-        distanceX = XpositionBall - XPositionBlock;
-        distanceY = YPositionBall - YPositionBlock;
-        if (distanceX < 0) {
-            distanceX = -distanceX;
-        }
-        if (distanceY < 0) {
-            distanceY = -distanceY;
-        }
-        if((distanceX <= radiusBall + sizeBlock) || (distanceY <= radiusBall + sizeBlock)) {
-            return true;
-        }
-        else {
-            top = YPositionBall + radiusBall;
-            right = XpositionBall + radiusBall;
-            bottom = YPositionBall - radiusBall;
-            left = XpositionBall - radiusBall;
-
-            if((top >= YPositionBlock - size) && (top <= YPositionBlock + size) && (left <= XPositionBlock + size) && (left >= XPositionBlock - size))
-        }
-    }
-  */  
+ 
     void OrxoBlox::count() {
         if(++(this->counter) >= this->max_counter) {
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12396)
@@ -1,36 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBlox.h
-    @brief Declaration of the OrxoBlox class.
-    @ingroup OrxoBlox
-*/
-
 #ifndef _OrxoBlox_H__
 #define _OrxoBlox_H__
@@ -74,5 +40,4 @@
 
             PlayerInfo* getPlayer();
-            // void spawnPlayer(PlayerInfo* Player) override;
             virtual void playerPreSpawn(PlayerInfo* player) override;
             virtual void tick(float dt) override;
@@ -89,5 +54,4 @@
             OrxoBloxCenterpoint* getCenterpoint(void)
                 { return this->center_; }
-            //OrxoBloxStones* CheckForCollision(OrxoBloxBall* Ball);
             virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
             void count();
@@ -96,9 +60,7 @@
             void startWall(void);
             void createWall(void);
-            //void startBall(); //!< Starts the ball with some default speed.
             void cleanup(); //!< Cleans up the Gametype by destroying the ball and the bats.
 
             WeakPtr<OrxoBloxCenterpoint> center_; //!< The playing field.
-            //WeakPtr<OrxoBloxBall> ball_; //!< The OrxoBlox ball.
             unsigned int level_;
 
@@ -108,6 +70,4 @@
             
             WeakPtr<OrxoBloxWall> futureWall_;
-            std::vector<OrxoBloxWall*> activeWalls_;
-            std::vector<OrxoBloxStones*> stones_; //!< A list of all stones in play.
             int counter;
             const int max_counter = 4;
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxBall.cc
-    @brief Implementation of the OrxoBloxBall class.
-*/
-
 #include "OrxoBloxBall.h"
 #include "OrxoBloxStones.h"
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12396)
@@ -1,36 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxBall.h
-    @brief Declaration of the OrxoBloxBall class.
-    @ingroup OrxoBlox
-*/
-
 #ifndef _OrxoBloxBall_H__
 #define _OrxoBloxBall_H__
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBot.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBot.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBot.cc	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxBot.cc
-    @brief Implementation of the OrxoBloxBot class.
-*/
-
 #include "OrxoBloxBot.h"
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBot.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBot.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBot.h	(revision 12396)
@@ -1,36 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxBot.h
-    @brief Declaration of the OrxoBloxBot class.
-    @ingroup OrxoBlox
-*/
-
 #ifndef _OrxoBloxBot_H__
 #define _OrxoBloxBot_H__
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCanon.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCanon.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCanon.cc	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Viviane Yang
- *   Co-authors:
- *      --
- *
- */
-
-/**
-    @file OrxoBloxCanon.h
-    @brief Implementation of the OrxoBloxCanon class.
-*/
-
 #include "OrxoBloxCanon.h"
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCanon.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCanon.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCanon.h	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Viviane Yang
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxCanon.h
-    @brief Definition of the OrxoBloxCanon class.
-*/
-
 #ifndef _OrxoBloxCanon_H__
 #define _OrxoBloxCanon_H__
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.cc	(revision 12396)
@@ -1,40 +1,2 @@
-/**
-    Centerpoint: Konstruktion Spielfeld. Wird in orxoblox.oxw definiert.
-*/
-
-
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxCenterpoint.cc
-    @brief Implementation of the OrxoBloxCenterpoint class.
-*/
-
 #include "OrxoBloxCenterpoint.h"
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxCenterpoint.h	(revision 12396)
@@ -1,36 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxCenterpoint.h
-    @brief Declaration of the OrxoBloxCenterpoint class.
-    @ingroup OrxoBlox
-*/
-
 #ifndef _OrxoBloxCenterpoint_H__
 #define _OrxoBloxCenterpoint_H__
@@ -46,76 +12,5 @@
 namespace orxonox
 {
-    
-    /**
-    @brief
-        The OrxoBloxCenterpoint implements the playing field @ref orxonox::OrxoBlox "OrxoBlox" takes place in and allows for many parameters of the minigame to be set.
-        The playing field resides in the x,z-plane, with the x-axis being the horizontal axis and the z-axis being the vertical axis.
-        
-        Various parameters can be set:
-        - The <b>dimension</b> is a vector, that defines the width and height of the playing field. The default is <em>(200, 120)</em>.
-        - The <b>balltemplate</b> is a template that is applied to the @ref orxonox::OrxoBloxBall "OrxoBloxBall", it can be used to attach different things to it, e.g. its @ref orxonox::Model "Model". See below for a usage example.
-        - The <b>battemplate</b> is a template that is applied to the @ref orxonox::OrxoBloxBall "OrxoBloxBat", it can be used to attach different things to it, e.g. its @ref orxonox::Model "Model". See below for a usage example.
-        - The <b>ballspeed</b> is the speed with which the @ref orxonox::OrxoBloxBall "OrxoBloxBall" moves. The default is <em>100</em>.
-        - The <b>ballaccfactor</b> is the acceleration factor for the @ref orxonox::OrxoBloxBall "OrxoBloxBall". The default is <em>1.0</em>.
-        - The <b>batspeed</b> is the speed with which the @ref orxonox::OrxoBloxBat "OrxoBloxBats" move. The default is <em>60</em>.
-        - The <b>batlength</b> is the length of the @ref orxonox::OrxoBloxBat "OrxoBloxBats" as the percentage of the height of the playing field. The default is <em>0.25</em>.
-        
-        An example in XML of the OrxoBloxCenterpoint would be:
-        
-        First the needed templates:
-        The template for the @ref orxonox::OrxoBloxBall "OrxoBloxBall".
-        @code
-        <Template name="OrxoBloxball">
-          <OrxoBloxBall>
-            <attached>
-              <Model mesh="sphere.mesh" scale="2" />
-              <ParticleSpawner name="hiteffect" position="0,0,0" source="Orxonox/sparks2" lifetime="0.01" autostart="0" mainstate="spawn" />
-            </attached>
-            <eventlisteners>
-              <EventTarget target="hiteffect" />
-            </eventlisteners>
-          </OrxoBloxBall>
-        </Template>
-        @endcode
-        As can be seen, a sphere is attached as the @ref orxonox::Model "Model" for the @ref orxonox::OrxoBloxBall "OrxoBloxBall", and also an @ref orxonox::EventListener "EventListener" that triggers a @ref orxonox::ParticleSpawner "ParticleSpawner", whenever the ball hits the boundaries is attached.
-        
-        Additionally the template for the @ref orxonox::OrxoBloxBat "OrxoBloxBat".
-        @code
-        <Template name="OrxoBloxbatcameras" defaults="0">
-          <OrxoBloxBat>
-            <camerapositions>
-              <CameraPosition position="0,200,0" pitch="-90" absolute="true" />
-            </camerapositions>
-          </OrxoBloxBat>
-        </Template>
 
-        <Template name="OrxoBloxbat">
-          <OrxoBloxBat camerapositiontemplate=OrxoBloxbatcameras>
-            <attached>
-              <Model position="0,0,3" mesh="cube.mesh" scale3D="14,2,2" />
-            </attached>
-          </OrxoBloxBat>
-        </Template>
-        @endcode
-        As can be seen, there are actually two templates. The first template is needed to set the camera for the @ref orxonox::OrxoBloxBat "OrxoBloxBat". The second template ist the actual template for the @ref orxonox::OrxoBloxBat "OrxoBloxBat", the template for the camera position is added and a @ref orxonox::Model "Model" for the @ref orxonox::OrxoBloxBat "OrxoBloxBat" is attached.
-        
-        Finally the OrxoBloxCenterpoint is created.
-        @code
-        <OrxoBloxCenterpoint name="OrxoBloxcenter" dimension="200,120" balltemplate="OrxoBloxball" battemplate="OrxoBloxbat" ballspeed="200" ballaccfactor="1.0" batspeed="130" batlength="0.25">
-          <attached>
-            <Model position="0,0,60" mesh="cube.mesh" scale3D="105,1,1" />
-            <Model position="0,0,-60" mesh="cube.mesh" scale3D="105,1,1" />
-          </attached>
-        </OrxoBloxCenterpoint>
-        @endcode
-        All parameters are specified. And also two @ref orxonox::Model "Models" (for the upper and lower boundary) are attached.
-        
-        For a more elaborate example, have a look at the <code>OrxoBlox.oxw</code> level file.
-    
-    @author
-        Fabian 'x3n' Landau
-        
-    @ingroup OrxoBlox
-    */
     class _OrxoBloxExport OrxoBloxCenterpoint : public StaticEntity
     {
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12396)
@@ -1,36 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-@file
-@brief
-    Shared library macros, enums, constants and forward declarations for the OrxoBlox module
-*/
-
 #ifndef _OrxoBloxPrereqs_H__
 #define _OrxoBloxPrereqs_H__
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.cc	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxScore.cc
-    @brief Implementation of the OrxoBloxScore class.
-*/
-
 #include "OrxoBloxScore.h"
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxScore.h	(revision 12396)
@@ -1,36 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file OrxoBloxScore.h
-    @brief Declaration of the OrxoBloxScore class.
-    @ingroup OrxoBlox
-*/
-
 #ifndef _OrxoBloxScore_H__
 #define _OrxoBloxScore_H__
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12396)
@@ -1,36 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Viviane Yang
- *   Co-authors:
- *      ...
- *
- */
-
-/*  TODO: 
-
-    @file OrxoBloxShip.cc
-    @brief Implementation of the OrxoBloxShip class.
-*/
-
 #include "OrxoBloxShip.h"
 #include "OrxoBlox.h"
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.h	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file Asteroids2DShip.h
-    @brief Declaration of the Asteroids2DShip class.
-*/
-
 #ifndef _OrxoBloxShip_H__
 #define _OrxoBloxShip_H__
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file ParticleProjectile.h
-    @brief Implementation of the ParticleProjectile class.
-*/
-
 #include "BallProjectile.h"
 #include "gametypes/Gametype.h"
@@ -115,22 +82,15 @@
                 distance_Z = -distance_Z;
 
-            //orxout() << distance_X << endl;
-            //orxout() << distance_Z << endl;
-
             if (distance_X < distance_Z) {
                 velocity.z = -velocity.z;
-                //orxout() << "z" << endl;
             }
             if (distance_Z < distance_X) {
                 velocity.x = -velocity.x;
-                //orxout() << "x" << endl;
             }
             else {
                 velocity.x = -velocity.x;
                 velocity.z = -velocity.z;
-                //orxout() << "both" << endl;
             }
             this->setVelocity(velocity);
-        //}
     }
 
@@ -142,5 +102,4 @@
             if (otherObject->isA(Class(OrxoBloxStones))) {
                 Bounce(otherObject, contactPoint, cs);
-                orxout() << "BOUNCED!" << endl;
                 
             }
@@ -187,5 +146,4 @@
                 position.z = this-> fieldHeight_;
                 
-                //orxoblox_->LevelUp();
                 orxoblox_->count();
                 suicidal = true;
@@ -258,4 +216,6 @@
     }
 
+
+    //This is an override to prevent getting killed by the program
     void BallProjectile::destroyObject(void)
     {
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12395)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12396)
@@ -1,35 +1,2 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file ParticleProjectile.h
-    @brief Definition of the ParticleProjectile class.
-*/
-
 #ifndef _BallProjectile_H__
 #define _BallProjectile_H__
@@ -45,11 +12,4 @@
 {
 
-    /**
-    @brief
-        A projectile that is represented by particles.
-    @author
-        Fabian 'x3n' Landau
-    @ingroup WeaponsProjectiles
-    */
     class _WeaponsExport BallProjectile : public BillboardProjectile
     {
